Bug 26700 - /etc/init.d/ldap doesn't stop slurpd
Summary: /etc/init.d/ldap doesn't stop slurpd
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Aaron Brown
URL:
Whiteboard: Florence RC-1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-08 16:40 UTC by Christopher Barton
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-08 23:33:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christopher Barton 2001-02-08 16:40:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.0-0.99.11 i586; en-US; 0.7)
Gecko/20010118


In order to stop slurpd, /etc/init.d/ldap stop must be run twice

Reproducible: Always
Steps to Reproduce:
1. Edit /etc/openldap/slapd.conf to include replogfile
2. /etc/init.d/ldap start (slapd & slurpd start)
3. /etc/init.d/ldap stop
	

Actual Results:  Slapd stops, Slurpd fails

Expected Results:  Both should stop.  Slurpd stops if you do 3 twice.

Comment 1 Glen Foster 2001-02-08 23:33:18 UTC
We (Red Hat) should really try to resolve this before next release.

Comment 2 Nalin Dahyabhai 2001-02-09 04:23:54 UTC
It appears that the pidfile patch we added doesn't work well with Linux's
threads implementation.  I'll revert it for openldap-2.0.7-12, which should
clear this up.  Please reopen thsi bug ID if you find that this is not the case.


Note You need to log in before you can comment on or make changes to this bug.